Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80255 - SRPMS: install failed due to missing install.sh file
Summary: SRPMS: install failed due to missing install.sh file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pydict
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-23 10:54 UTC by Sysoltsev Slawa
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 08:49:29 UTC


Attachments (Terms of Use)

Description Sysoltsev Slawa 2002-12-23 10:54:33 UTC
Description of problem:
Trying to build pydict from SRPMS I've got such error:

Executing(%doc): /bin/sh -
e /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/rpm-tmp.43576
+ umask 022
+ cd /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/BUILD
+ cd pydict
+ DOCDIR=/netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/pydict-0.3.0-
root/usr/share/doc/pydict-0.3.0
+ export DOCDIR
+ rm -rf /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/pydict-0.3.0-
root/usr/share/doc/pydict-0.3.0
+ /bin/mkdir -p /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/pydict-0.3.0-
root/usr/share/doc/pydict-0.3.0
+ cp -pr CHANGELOG README COPYING 
install.sh /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/pydict-0.3.0-
root/usr/share/doc/pyd
ict-0.3.0
cp: cannot stat `install.sh': No such file or directory
error: Bad exit status 
from /netbatch/TC2352/rh80_ia32_L/default/WORK_DIR/tmp/rpm-tmp.43576 (%doc)

I haven't found any install.sh in package - seems like a packaging bug or a bug 
in installation script.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb pydict.spec

    
Actual results:
Installation error

Expected results:
Successfully built & installed package

Additional info:

Comment 1 Leon Ho 2003-01-14 08:49:29 UTC
it is fixed in rawhide. thanks for the report. 


Note You need to log in before you can comment on or make changes to this bug.